* {
    font-family: "Lilita One", sans-serif;
    box-sizing: border-box;

}

@keyframes push-up {
  from {
      opacity: 0;
      transform: translate(20);
  }
  to {
      opacity: 1;
      transform: translateY(0);
  }
}

h1 {
    font-family: "Bungee", sans-serif;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 100%;
    overflow-x: clip; /* Prevents overflow from forcing page expansion */
}

body {
    background-image: linear-gradient(rgb(0, 255, 136), rgb(0, 213, 255)); 
    background-size: cover;
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: 100vh;
    animation: push-up 0.2s ease-out 0s forwards;

}

#root {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0;
    padding: 10px;
    width: 100%;
}

button:hover, a:hover {
    animation: 0.3s linear 0s button-hover;
}

@keyframes button-hover {
    to {
        filter: brightness(1.1);
    }
}

#header-root {
    position: sticky;
    top: 0;
    width: 100%;
    
    min-height: 100px;
    
    background-color: rgb(22, 0, 185);
    background-image: linear-gradient(to top, rgb(22, 0, 185), rgb(0, 99, 185)); 
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    flex-wrap: wrap;
    z-index: 1000;
    animation: none !important;
    animation-name: none !important;
}

#header-root a {
    color: rgb(130, 197, 255);
}
#header-root .current-link {
    color: rgb(0, 255, 76);
}

#header-left-side #header-icon {
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    gap: 20px;
}

/* Roboto in the header */
#header-left-side #header-icon img {
    width: 75px;
    height: 75px;
}

#header-right-side {
    display: flex;
    flex-direction: row;
    justify-content: right;
    gap: 10px;
}

#nav-menu-toggle {
  display: none;
}

@media (max-width: 550px) {
  #nav-menu-toggle {
    display: block;
    width: 50px;
    height: 50px;
    font-size: x-large; 
  }
    
  #nav-menu-toggle img {
    max-width: 100%;
    max-height: 100%;
    padding: 20% 0px;
    color: red;
  }

  
  #header-right-side {
    display: none;

    flex-direction: column;
    position: absolute;
    top: 100px; /* Positions menu directly below the header */
    right: 0;
    width: 100%;
    background-color: rgb(22, 0, 185);
    padding: 20px;
    box-shadow: 0 8px  rgba(0, 0, 0, 0.734);
    gap: 15px;
    z-index: -100;
  }
  #header-right-side.active {
      display: flex;
      animation: nav-menu-open 0.2s ease-out 0s forwards;
  }
}

@media (max-width: 315px) {
  #header-icon h2 {
    display: none;
  }
}

@keyframes nav-menu-open {
  0% {
    top: 0;
    opacity: 0;
  }
  100% {
    top: 100px;
    opacity: 100%;
  }
}


/* Previous CSS from a different project */

#inputs {
  display: flex;
  flex-direction: row;
  justify-content: center; /* Centers horizontally */
  gap: 20px;
  padding: 50px;
  height: 20
}

a, label, button, input, #Answer {
  font-family: "Lilita One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

button {
  width: 200;
  height: 50;
  background-color: blue;
  color: white;
  font-size: 20;
  border: 3px solid black;
  border-radius: 10px;
}


a:hover, button:hover, input:hover, select:hover {
  animation-name: ButtonHover;
  animation-duration: 0.2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

button:disabled, input:disabled, select:disabled {
  animation-name: ButtonDisabled;
  animation-duration: 0.2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes ButtonDisabled {
  to {
    opacity: 50%
  }
}

a:active, button:active {
  animation-name: ButtonPress;
  animation-duration: 0.1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes ButtonHover {
 
  100% {
    filter: brightness(1.1);
  }
}

@keyframes ButtonPress {
  to {
    transform: scale(0.95);
  }
}

input {
  width: 200%;
  height: 200%;
  border-radius: 10%;
  text-align: center;
}

select {
  width: 75%;
  height: 200%;
  border-radius: 10%;
  text-align: center;

}


.loader {
  background-image: url('../images/Roboto-Flat-White.png');
  transform-origin: 50% 65%;
  width: 100px;
  height: 100px;
  background-size: contain;               /* Scale image to cover the element */
  background-position: center;          /* Center the image */
  background-repeat: no-repeat; 
  animation: loader 1s linear infinite;
  /*border: 10px solid #f3f3f3; /* Light grey 
  border-top: 10px solid blue; /* Blue *
  border-radius: 50% */
}

@keyframes loader {
  0% {
    transform: rotate(0deg)
  }

  100% {
    transform: rotate(360deg)
  }
}

.SkeletonLoader {
  animation: skeletonLoader 2s linear infinite;
  background-color: grey;
  border: 0px;
}

@keyframes skeletonLoader {
  0% {
    opacity: 0%
  }

  50% {
    opacity: 100%
  }

  100% {
    opacity: 0%
  }
}

/* =================================================== */

/* Social Buttons */
.SocialButton {
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.SocialIcon {
    filter: invert(100%);
    width: 75%;
    height: 75%;
}

.YouTubeSocial {
    background-color: red;
}

.imageHolder {
  border: 5px solid black;
  box-shadow: black 2px 2px 0;
  margin: 0;
  padding: 0;
}

.imageHolder, #previewImg, .previewImg {
    border-radius: 10px;
}

#previewImg, .previewImg  {
    border: 10px solid rgb(255, 255, 255);
    width: 100%;
    height: 100%;
    border-radius: 5px;

}

.hidden {
  display: none;
}

@keyframes ZoomIn {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}